This commit is contained in:
Gerben Jan Dijkman 2024-06-06 10:17:45 +02:00
parent 6e24a88508
commit 538b9d4596
39 changed files with 0 additions and 1443 deletions

View File

@ -1,42 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DIST_AUTHOR=RJBS
DIST_VERSION=0.334
inherit perl-module
DESCRIPTION="Write command line apps with less suffering"
SLOT="0"
KEYWORDS="~amd64 ~x86 ~arm64 ~arm"
IUSE="minimal"
RDEPEND="
>=dev-perl/Capture-Tiny-0.130.0
virtual/perl-Carp
>=dev-perl/Class-Load-0.60.0
dev-perl/Data-OptList
>=virtual/perl-Getopt-Long-2.390.0
>=dev-perl/Getopt-Long-Descriptive-0.84.0
dev-perl/IO-TieCombine
dev-perl/Module-Pluggable
dev-perl/String-RewritePrefix
dev-perl/Sub-Exporter
dev-perl/Sub-Install
virtual/perl-parent
"
BDEPEND="
${RDEPEND}
virtual/perl-ExtUtils-MakeMaker
test? (
!minimal? (
>=virtual/perl-CPAN-Meta-2.120.900
)
virtual/perl-Data-Dumper
virtual/perl-File-Spec
virtual/perl-IPC-Cmd
dev-perl/Test-Fatal
>=virtual/perl-Test-Simple-0.960.0
)
"

View File

@ -1,43 +0,0 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DIST_AUTHOR=RJBS
DIST_VERSION=0.335
inherit perl-module
DESCRIPTION="Write command line apps with less suffering"
SLOT="0"
KEYWORDS="~amd64 ~x86 ~arm64 ~arm"
IUSE="minimal"
RDEPEND="
>=dev-perl/Capture-Tiny-0.130.0
virtual/perl-Carp
>=dev-perl/Class-Load-0.60.0
dev-perl/Data-OptList
>=virtual/perl-Getopt-Long-2.390.0
>=dev-perl/Getopt-Long-Descriptive-0.84.0
dev-perl/IO-TieCombine
dev-perl/Module-Pluggable
dev-perl/String-RewritePrefix
dev-perl/Sub-Exporter
dev-perl/Sub-Install
virtual/perl-parent
"
BDEPEND="
${RDEPEND}
virtual/perl-ExtUtils-MakeMaker
test? (
!minimal? (
>=virtual/perl-CPAN-Meta-2.120.900
)
virtual/perl-Data-Dumper
virtual/perl-File-Spec
virtual/perl-IPC-Cmd
dev-perl/Test-Fatal
>=virtual/perl-Test-Simple-0.960.0
)
"

View File

@ -1,2 +0,0 @@
DIST App-Cmd-0.334.tar.gz 50175 BLAKE2B 25349c7f072c01056b8ccd62a8e22c52cc5ec312ad8799acfca8fa30a5f61424ce11320eb7ec05bf9f69badc9cf7bd506581babeaf4f4d863cc8b9f3d4278e41 SHA512 bc45141475cc389afea4220c5197559be0e379ee7c9668e52fae9864c5747f4bd487edf44abc25a21ab5b428689b93ed7607e4fe8a8844faab248623b027288d
DIST App-Cmd-0.335.tar.gz 49009 BLAKE2B 48dbe85609014168d093230d26717f76b32fb53c252d173786fd6226ba08cded3b55586a1e18f80db52d84962e395c535ce39994cc74080195523678fd89a273 SHA512 1d2706dbfcb36ba04cc0205d034823d90827cde7627028b3b834024bd6d71f60166607d0848183679b172e54270d92732741d00b505af219e4d2c4cf0de740b5

View File

@ -1,35 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
DIST_AUTHOR=ARFREITAS
DIST_VERSION=0.38
DIST_EXAMPLES=("eg/*")
inherit perl-module
DESCRIPTION="API wrapper around the 'tar' utility"
LICENSE="GPL-3+"
SLOT="0"
KEYWORDS="~amd64 ~x86 ~arm64 ~arm"
IUSE="test"
RESTRICT="!test? ( test )"
# r:Cwd -> File-Spec
RDEPEND="
virtual/perl-File-Spec
virtual/perl-File-Temp
dev-perl/File-Which
dev-perl/IPC-Run
dev-perl/Log-Log4perl
virtual/perl-File-Path
app-arch/tar
"
BDEPEND="${RDEPEND}
virtual/perl-ExtUtils-MakeMaker
virtual/perl-CPAN-Meta
test? (
>=virtual/perl-Test-Simple-1.302.73
)
"

View File

@ -1 +0,0 @@
DIST Archive-Tar-Wrapper-0.38.tar.gz 38425 BLAKE2B 5e280837241da9481418905ed5e29110f6574845be4a82afd712ab4a2f100389e74b81afb1b5f61fa2e7938e58cfa345883c134026cbb2662e24a9acb912c8b0 SHA512 99779c654f6f9ec507685ca37c041cdff077bce3b6ec96a6005454e9ef8a9c2bf470053b8fc751342d80b722ee115b1aba27b16b328e7210c7b869bee57cd3f6

View File

@ -1,43 +0,0 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DIST_AUTHOR=RJBS
DIST_VERSION=0.103018
inherit perl-module
DESCRIPTION="Upload things to the CPAN"
SLOT="0"
KEYWORDS="~amd64 ~x86 ~arm64 ~arm"
IUSE="test minimal"
RESTRICT="!test? ( test )"
# r: File::Basename -> perl
# r: HTTP::Request::Common -> HTTP-Message
# r: HTTP::Status -> HTTP-Message
# r: LWP::UserAgent -> libwww-perl
# r: strict, warnings -> perl
RDEPEND="
virtual/perl-Carp
virtual/perl-Data-Dumper
virtual/perl-Digest-MD5
virtual/perl-File-Spec
virtual/perl-File-Temp
>=dev-perl/Getopt-Long-Descriptive-0.84.0
dev-perl/HTTP-Message
>=dev-perl/LWP-Protocol-https-1.0.0
dev-perl/libwww-perl
dev-perl/TermReadKey
"
BDEPEND="
${RDEPEND}
virtual/perl-ExtUtils-MakeMaker
test? (
!minimal? (
>=virtual/perl-CPAN-Meta-2.120.900
)
>=virtual/perl-Test-Simple-0.960.0
)
"

View File

@ -1,2 +0,0 @@
DIST CPAN-Uploader-0.103015.tar.gz 21615 BLAKE2B 63d576c6a57f7a28bee4ab4b2d5ed1b52d97edd6518b5eab8c7d932ebfa99ccd6b67d8c3c50ad2fd175a910bfafd203e30f3f35ddb185bf390d2ff839eabac71 SHA512 f4204c2b9caf98b50e4551b1eb68f1a8144b42b129539b4bcd71508e3df93b41219b3f323f01ac35d86d9d81ed14fbfccf4a77266296c62cdec44b268f512ed4
DIST CPAN-Uploader-0.103018.tar.gz 23066 BLAKE2B 23ad3400edac893a1ba0af37ccb68b9e8fbdcacdd3e766f03ed80e087bc964a39f86fc43f449f94866565b886385d1a1fa17bae2c70c69b6fcc5b3970fe61579 SHA512 1ebbfc8a2682ac56772392cb6538a09e1fcf7a1b07c8d8465cf831d6c1d4a6226f7c59bd9f57d06225ab049b55f9f597509e0d9a10395a920bed6b7b4d3d1cdb

View File

@ -1,30 +0,0 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DIST_AUTHOR=RJBS
DIST_VERSION=0.029
inherit perl-module
DESCRIPTION="Simple .ini-file format"
SLOT="0"
KEYWORDS="~amd64 ~x86 ~arm ~arm64"
IUSE="minimal"
RDEPEND="
virtual/perl-Carp
>=dev-perl/Mixin-Linewise-0.110.0
"
BDEPEND="
${RDEPEND}
virtual/perl-ExtUtils-MakeMaker
test? (
!minimal? (
>=virtual/perl-CPAN-Meta-2.120.900
)
virtual/perl-File-Spec
virtual/perl-IO
>=virtual/perl-Test-Simple-0.960.0
)
"

View File

@ -1,2 +0,0 @@
DIST Config-INI-0.027.tar.gz 26638 BLAKE2B 27fc0d086b0530881e4ad1d09c650e34656453e6330a89515ec00138c0fa92d78509a9445c14bf56a79069752527e4d7f6a107366ab4bff015d3587e136dfad2 SHA512 c0a7d363550cac186b639555e63ac27d613cb2e63d57786aabe63dd65bcb0e2043c3bf80f820bfd975d7111d14567af466e82ed35f9cc2294bfe78ef2a519516
DIST Config-INI-0.029.tar.gz 26739 BLAKE2B 1bc0170fa9fd5ca36228eee78767536b7613d5564cf6fb9aa097c09b6aaefd5dc3e4dd88893d54f6f53f342010a6145b2d90a384f04d8dc19af7d703ac7a5b57 SHA512 9f787640ada163f8bbdda687c0fdfeb86d749a06937e379cae3732e965b248e6de96e86eba8f86c755293916a0d571c2228c1f7c7a0e15cd0aa0b642269fb5fb

View File

@ -1,27 +0,0 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DIST_AUTHOR=RJBS
DIST_VERSION=2.101465
inherit perl-module
DESCRIPTION="MVP config reader for .ini files"
SLOT="0"
KEYWORDS="~amd64 ~x86 ~arm ~arm64"
RDEPEND="
dev-perl/Config-INI
>=dev-perl/Config-MVP-2
dev-perl/Moose
virtual/perl-parent
"
BDEPEND="
${RDEPEND}
>=virtual/perl-ExtUtils-MakeMaker-6.300.0
test? (
>=virtual/perl-Test-Simple-0.960.0
)
"

View File

@ -1,2 +0,0 @@
DIST Config-MVP-Reader-INI-2.101464.tar.gz 17164 BLAKE2B a13bc011d81b11428b09bbb563ff2d5cc1ec80f38fa4f4ef24859f26e747db8bdfdb4920e5718ecfd0f40ab921a39fc4a66a029e637232367513971c138f6779 SHA512 45457bed49849959fe7411181821e2d2495009a3e575272f1b3898a3fed22f7278c025ba9e83a0c145bd9c5a7906eb8353c0ffaa8cd712451fda5a9dd7e2a503
DIST Config-MVP-Reader-INI-2.101465.tar.gz 17186 BLAKE2B fce385c4c04fc77b35f78c023f8378e68bc78e384415f413dec23a5d05a3351187a8b76d46684add324f3eaff9e2123f4c2867e1c9494ded2f9c12f8a212ca9c SHA512 5e8386a402e5d17ba84d953ba094b42385503c1d279c27575a2cc1cd064c05ec2f8d12d5ce0b9411793ae6201356329889c6284b1a2e8bd51a506c44d2cfa3aa

View File

@ -1,46 +0,0 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DIST_AUTHOR=RJBS
DIST_VERSION=2.200013
inherit perl-module
DESCRIPTION="Multivalue-property package-oriented configuration"
SLOT="0"
KEYWORDS="~amd64 ~x86 ~arm64 ~arm"
IUSE="minimal"
# r: Module::Pluggable::Object -> Module-Pluggable
# r: Moose::Role -> Moose
# r: Moose::Util::TypeConstraints -> Moose
# r: Role::Identifiable::HasIdent -> Role-Identifiable
# r: StackTrace::Auto -> Throwable
# r: Test::More -> Test-Simple (Yes, Runtime)
# r: overload, string, warnings -> perl
RDEPEND="
>=dev-perl/Class-Load-0.170.0
virtual/perl-File-Spec
dev-perl/Module-Pluggable
>=dev-perl/Moose-0.910.0
dev-perl/MooseX-OneArgNew
dev-perl/Params-Util
dev-perl/Role-HasMessage
dev-perl/Role-Identifiable
dev-perl/Throwable
dev-perl/Tie-IxHash
dev-perl/Try-Tiny
"
# t: lib -> perl
BDEPEND="
${RDEPEND}
>=virtual/perl-ExtUtils-MakeMaker-6.780.0
test? (
!minimal? (
>=virtual/perl-CPAN-Meta-2.120.900
)
dev-perl/Test-Fatal
>=virtual/perl-Test-Simple-0.960.0
)
"

View File

@ -1,2 +0,0 @@
DIST Config-MVP-2.200012.tar.gz 34232 BLAKE2B 89a99cfc6b9c79abbca4ee2d8874bc77be4190c62cf30cd92acdac3ec2eab609acb3492a4bdf465b6a7caeaaaa56f17ca936257ac22876a9babeacef804383f9 SHA512 1da64c93c0298dc9a25b289632ee59e61de0640d545049505825353c1f7c88e039fc09d4037e13bc51c27bea3f10fdca542eea2f15ef9e4694e5dd0d565ef414
DIST Config-MVP-2.200013.tar.gz 34197 BLAKE2B 03ab34c32cb4ef48bc23f2e0d3cf0ca8e382a628cc32341118211f14d05c9544594b20c588ee4dd0f3fa62a6b76ddf9c8d37c82070faba961e7657a8defe8520 SHA512 aae4431a559f62332f5d7072d799ad5eaea9baf978a4145228dbfd80617e0131b9a80d2033a65da735a01abb4f40ce599b306e721dd4b3e98d6a56d984b21fd7

View File

@ -1,26 +0,0 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DIST_AUTHOR=RJBS
DIST_VERSION=0.200008
inherit perl-module
DESCRIPTION="Read multiple hunks of data out of your DATA section"
SLOT="0"
KEYWORDS="~amd64 ~x86 ~arm64 ~arm"
RDEPEND="
virtual/perl-Encode
>=dev-perl/MRO-Compat-0.90.0
>=dev-perl/Sub-Exporter-0.979.0
"
BDEPEND="
${RDEPEND}
>=virtual/perl-ExtUtils-MakeMaker-6.780.0
test? (
dev-perl/Test-FailWarnings
>=virtual/perl-Test-Simple-0.960.0
)
"

View File

@ -1,2 +0,0 @@
DIST Data-Section-0.200007.tar.gz 22094 BLAKE2B 8bb0f39abb30ac70f5185d9fbbdd9dba1f2b5947961fef937a2913d12b0694629d9e4ec4a3759603a7217cb4a6b0d244bbac5f11bb2b9963b959506bb8b19b51 SHA512 0c23141ccc2041e8c1c222c95d6eab4b56e2d77a94c68507f67acbb62fa5132e9229e9680c9fff6ebbc6a47a42cf1943d6e5b50a5f0168c66193fb52aaa241f0
DIST Data-Section-0.200008.tar.gz 22583 BLAKE2B 295507d93533d87ca0ad3d00edae7f83abfae6c54e8d3ae10203636ff94b7785d52c818632fc3daba5f6d5827a23a6bbd32bf933e334321bd214c5cd83c8101a SHA512 5fc8b25b1af8cdae5dca407bc039578e92bfc0b3bcfa2c01cdddf36ea30840f7eeeb336859a2e50719713c2675f2c1eb74c8832724d99ba4db92c47c65a860e3

View File

@ -1,157 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
DIST_AUTHOR=RJBS
DIST_VERSION=6.017
inherit perl-module
DESCRIPTION="distribution builder; installer not included!"
SLOT="0"
KEYWORDS="~amd64 ~x86 ~arm64 ~arm"
IUSE="minimal test"
RESTRICT="!test? ( test )"
## CPAN->Gentoo resolution map for grepping in case upstream split a dep
# breaks: Dist::Zilla::App::Command::stale -> Dist-Zilla-Plugin-PromptIfStale
# DZA:Command::xtest -> DZP:CheckExtraTests
# DZP:Author::Plicease::Tests -> DZPB::Author::Plicease
X_BREAKS="
!<dev-perl/Dist-Zilla-Plugin-PromptIfStale-0.40.0
!<=dev-perl/Dist-Zilla-App-Command-update-0.40.0
!<dev-perl/Dist-Zilla-Plugin-CheckExtraTests-0.29.0
!<=dev-perl/Dist-Zilla-PluginBundle-Author-Plicease-2.20.0
!<dev-perl/Dist-Zilla-Plugin-CopyFilesFromBuild-0.161.230
!<=dev-perl/Dist-Zilla-Plugin-CopyFilesFromBuild-Filtered-0.1.0
!<=dev-perl/Dist-Zilla-Plugin-Git-2.36.0
!<=dev-perl/Dist-Zilla-Plugin-Keywords-0.6.0
!<dev-perl/Dist-Zilla-Plugin-MakeMaker-Awesome-0.220.0
!<=dev-perl/Dist-Zilla-Plugin-NameFromDirectory-0.30.0
!<=dev-perl/Dist-Zilla-Plugin-PodWeaver-4.6.0
!<=dev-perl/Dist-Zilla-Plugin-Prereqs-AuthorDeps-0.5.0
!<dev-perl/Dist-Zilla-Plugin-ReadmeAnyFromPod-0.161.170
!<=dev-perl/Dist-Zilla-Plugin-Run-0.35.0
!<=dev-perl/Dist-Zilla-Plugin-Test-CheckDeps-0.13.0
!<=dev-perl/Dist-Zilla-Plugin-Test-Version-1.50.0
!<=dev-perl/Dist-Zilla-Plugin-TrialVersionComment-0.3.0
"
# r: App::Cmd::Command::version -> App-Cmd-0.321
# r: App::Cmd::Setup -> App-Cmd
# r: App::Cmd::Tester -> App-Cmd
# r: App::Cmd::Tester::CaptureExternal -> App-Cmd 0.314
# r: CPAN::Meta::Converter -> CPAN-Meta
# r: CPAN::Meta::Merge -> CPAN-Meta 2.142060
# r: CPAN::Meta::Prereqs -> CPAN-Meta
# r: CPAN::Meta::Validator -> CPAN-Meta
# r: Config::INI::Reader -> Config-INI
# r: Config::MVP::Assembler -> Config-MVP
# r: Config::MVP::Assembler::WithBundles -> Config-MVP
# r: Config::MVP::Reader -> Config-MVP
# r: Config::MVP::Reader::Findable::ByExtension -> Config-MVP 1.101450
# r: Config::MVP::Reader::Finder -> Config-MVP 0.092990
# r: Config::MVP::Section -> Config-MVP
# r: List::Util -> Scalar-List-Utils
# r: Mixin::Linewise::Readers -> Mixin-Linewise
# r: Moose::Role -> Moose
# r: Moose::Util::TypeConstraints -> Moose
# r: MooseX::Types::Moose -> MooseX-Types
# r: PPI::Document -> PPI
# r: Scalar::Util -> Scalar-List-Utils
# r: Software::LicenseUtils -> Software-License
# r: Sub::Exporter::Util -> Sub-Exporter
# r: Term::ReadKey -> TermReadKey
# r: Text::Template -> text-template
# r: strict, warnings -> perl
# NB: PPI::XS is suggested by Dist-Zilla, but upstream of
# PPI say PPI::XS presently doesn't do anything useful,
# so the optional useflag and the dependency are skipped.
RDEPEND="
${X_BREAKS}
!minimal? (
>=dev-perl/Archive-Tar-Wrapper-0.150.0
>=dev-perl/Data-OptList-0.110.0
dev-perl/Term-ReadLine-Gnu
)
>=dev-perl/App-Cmd-0.330.0
virtual/perl-Archive-Tar
>=virtual/perl-CPAN-Meta-2.142.60
>=virtual/perl-CPAN-Meta-Requirements-2.121.0
>=dev-perl/CPAN-Uploader-0.103.4
virtual/perl-Carp
>=dev-perl/Class-Load-0.170.0
dev-perl/Config-INI
>=dev-perl/Config-MVP-2.200.11
>=dev-perl/Config-MVP-Reader-INI-2.101.461
virtual/perl-Data-Dumper
>=dev-perl/Data-Section-0.200.2
>=dev-perl/DateTime-0.440.0
virtual/perl-Digest-MD5
virtual/perl-Encode
>=virtual/perl-ExtUtils-Manifest-1.660.0
>=dev-perl/File-Copy-Recursive-0.410.0
dev-perl/File-Find-Rule
virtual/perl-File-Path
dev-perl/File-ShareDir
>=dev-perl/File-ShareDir-Install-0.30.0
virtual/perl-File-Spec
virtual/perl-File-Temp
dev-perl/File-pushd
dev-perl/JSON-MaybeXS
>=dev-perl/Log-Dispatchouli-1.102.220
>=dev-perl/Mixin-Linewise-0.100.0
virtual/perl-Module-CoreList
dev-perl/Module-Runtime
>=dev-perl/Moose-0.920.0
dev-perl/MooseX-LazyRequire
>=dev-perl/MooseX-Role-Parameterized-1.10.0
dev-perl/MooseX-SetOnce
dev-perl/MooseX-Types
dev-perl/MooseX-Types-Perl
dev-perl/PPI
dev-perl/Params-Util
>=dev-perl/Path-Tiny-0.52.0
>=dev-perl/Perl-PrereqScanner-1.16.0
virtual/perl-Pod-Simple
>=virtual/perl-Scalar-List-Utils-1.450.0
>=dev-perl/Software-License-0.103.14
virtual/perl-Storable
>=dev-perl/String-Formatter-0.100.680
>=dev-perl/String-RewritePrefix-0.6.0
dev-perl/Sub-Exporter
dev-perl/Sub-Exporter-ForMethods
dev-perl/Term-Encoding
dev-perl/TermReadKey
virtual/perl-Term-ReadLine
dev-perl/Term-UI
dev-perl/Test-Deep
>=dev-perl/Text-Glob-0.80.0
dev-perl/Text-Template
dev-perl/Try-Tiny
dev-perl/YAML-Tiny
virtual/perl-autodie
dev-perl/namespace-autoclean
virtual/perl-parent
virtual/perl-version
"
# t: Software::License::None -> Software-License 0.016
# t: lib, utf8 -> perl
BDEPEND="${RDEPEND}
virtual/perl-ExtUtils-MakeMaker
>=dev-perl/File-ShareDir-Install-0.60.0
test? (
>=dev-perl/CPAN-Meta-Check-0.11.0
dev-perl/Test-FailWarnings
dev-perl/Test-Fatal
dev-perl/Test-File-ShareDir
>=virtual/perl-Test-Simple-0.960.0
)
"
PATCHES=(
"${FILESDIR}/${PN}-6.015-authordeps-missing.patch"
)
src_test() {
TZ=UTC perl-module_src_test
}

View File

@ -1,158 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DIST_AUTHOR=RJBS
DIST_VERSION=6.024
inherit perl-module
DESCRIPTION="Distribution builder; installer not included!"
SLOT="0"
KEYWORDS="~amd64 ~x86 ~arm64 ~arm"
IUSE="minimal"
## CPAN->Gentoo resolution map for grepping in case upstream split a dep
# breaks: Dist::Zilla::App::Command::stale -> Dist-Zilla-Plugin-PromptIfStale
# DZA:Command::xtest -> DZP:CheckExtraTests
# DZP:Author::Plicease::Tests -> DZPB::Author::Plicease
X_BREAKS="
!<dev-perl/Dist-Zilla-Plugin-PromptIfStale-0.40.0
!<=dev-perl/Dist-Zilla-App-Command-update-0.40.0
!<dev-perl/Dist-Zilla-Plugin-CheckExtraTests-0.29.0
!<=dev-perl/Dist-Zilla-PluginBundle-Author-Plicease-2.20.0
!<dev-perl/Dist-Zilla-Plugin-CopyFilesFromBuild-0.161.230
!<=dev-perl/Dist-Zilla-Plugin-CopyFilesFromBuild-Filtered-0.1.0
!<=dev-perl/Dist-Zilla-Plugin-Git-2.36.0
!<=dev-perl/Dist-Zilla-Plugin-Keywords-0.6.0
!<dev-perl/Dist-Zilla-Plugin-MakeMaker-Awesome-0.220.0
!<=dev-perl/Dist-Zilla-Plugin-NameFromDirectory-0.30.0
!<=dev-perl/Dist-Zilla-Plugin-PodWeaver-4.6.0
!<=dev-perl/Dist-Zilla-Plugin-Prereqs-AuthorDeps-0.5.0
!<dev-perl/Dist-Zilla-Plugin-ReadmeAnyFromPod-0.161.170
!<=dev-perl/Dist-Zilla-Plugin-Run-0.35.0
!<=dev-perl/Dist-Zilla-Plugin-Test-CheckDeps-0.13.0
!<=dev-perl/Dist-Zilla-Plugin-Test-Version-1.50.0
!<=dev-perl/Dist-Zilla-Plugin-TrialVersionComment-0.3.0
"
# r: App::Cmd::Command::version -> App-Cmd-0.321
# r: App::Cmd::Setup -> App-Cmd
# r: App::Cmd::Tester -> App-Cmd
# r: App::Cmd::Tester::CaptureExternal -> App-Cmd 0.314
# r: CPAN::Meta::Converter -> CPAN-Meta
# r: CPAN::Meta::Merge -> CPAN-Meta 2.142060
# r: CPAN::Meta::Prereqs -> CPAN-Meta
# r: CPAN::Meta::Validator -> CPAN-Meta
# r: Config::INI::Reader -> Config-INI
# r: Config::MVP::Assembler -> Config-MVP
# r: Config::MVP::Assembler::WithBundles -> Config-MVP
# r: Config::MVP::Reader -> Config-MVP
# r: Config::MVP::Reader::Findable::ByExtension -> Config-MVP 1.101450
# r: Config::MVP::Reader::Finder -> Config-MVP 0.092990
# r: Config::MVP::Section -> Config-MVP
# r: List::Util -> Scalar-List-Utils
# r: Mixin::Linewise::Readers -> Mixin-Linewise
# r: Moose::Role -> Moose
# r: Moose::Util::TypeConstraints -> Moose
# r: MooseX::Types::Moose -> MooseX-Types
# r: PPI::Document -> PPI
# r: Scalar::Util -> Scalar-List-Utils
# r: Software::LicenseUtils -> Software-License
# r: Sub::Exporter::Util -> Sub-Exporter
# r: Term::ReadKey -> TermReadKey
# r: Text::Template -> text-template
# r: strict, warnings -> perl
# NB: PPI::XS is suggested by Dist-Zilla, but upstream of
# PPI say PPI::XS presently doesn't do anything useful,
# so the optional useflag and the dependency are skipped.
RDEPEND="
${X_BREAKS}
!minimal? (
>=dev-perl/Archive-Tar-Wrapper-0.150.0
>=dev-perl/Data-OptList-0.110.0
dev-perl/Term-ReadLine-Gnu
)
>=dev-perl/App-Cmd-0.330.0
virtual/perl-Archive-Tar
>=virtual/perl-CPAN-Meta-2.142.60
>=virtual/perl-CPAN-Meta-Requirements-2.121.630
>=dev-perl/CPAN-Uploader-0.103.4
virtual/perl-Carp
dev-perl/Config-INI
>=dev-perl/Config-MVP-2.200.11
>=dev-perl/Config-MVP-Reader-INI-2.101.461
virtual/perl-Data-Dumper
>=dev-perl/Data-Section-0.200.2
>=dev-perl/DateTime-0.440.0
virtual/perl-Digest-MD5
virtual/perl-Encode
>=virtual/perl-ExtUtils-Manifest-1.660.0
>=dev-perl/File-Copy-Recursive-0.410.0
dev-perl/File-Find-Rule
virtual/perl-File-Path
dev-perl/File-ShareDir
>=dev-perl/File-ShareDir-Install-0.30.0
virtual/perl-File-Spec
virtual/perl-File-Temp
dev-perl/File-pushd
dev-perl/JSON-MaybeXS
>=dev-perl/Log-Dispatchouli-1.102.220
>=dev-perl/Mixin-Linewise-0.100.0
virtual/perl-Module-CoreList
dev-perl/Module-Runtime
>=dev-perl/Moose-0.920.0
dev-perl/MooseX-LazyRequire
>=dev-perl/MooseX-Role-Parameterized-1.10.0
dev-perl/MooseX-SetOnce
dev-perl/MooseX-Types
dev-perl/MooseX-Types-Perl
>=dev-perl/PPI-1.222.0
dev-perl/Params-Util
>=dev-perl/Path-Tiny-0.52.0
>=dev-perl/Perl-PrereqScanner-1.16.0
virtual/perl-Pod-Simple
>=virtual/perl-Scalar-List-Utils-1.450.0
>=dev-perl/Software-License-0.104.1
virtual/perl-Storable
>=dev-perl/String-Formatter-0.100.680
>=dev-perl/String-RewritePrefix-0.6.0
dev-perl/Sub-Exporter
dev-perl/Sub-Exporter-ForMethods
>=virtual/perl-Term-ANSIColor-5.0.0
dev-perl/Term-Encoding
dev-perl/TermReadKey
virtual/perl-Term-ReadLine
dev-perl/Term-UI
dev-perl/Test-Deep
>=dev-perl/Text-Glob-0.80.0
dev-perl/Text-Template
dev-perl/Try-Tiny
dev-perl/YAML-Tiny
virtual/perl-autodie
dev-perl/namespace-autoclean
virtual/perl-parent
virtual/perl-version
"
BDEPEND="${RDEPEND}
>=virtual/perl-ExtUtils-MakeMaker-6.780.0
>=dev-perl/File-ShareDir-Install-0.60.0
test? (
>=dev-perl/CPAN-Meta-Check-0.11.0
dev-perl/Test-FailWarnings
dev-perl/Test-Fatal
dev-perl/Test-File-ShareDir
>=virtual/perl-Test-Simple-0.960.0
)
"
PATCHES=(
"${FILESDIR}/${PN}-6.015-authordeps-missing.patch"
)
src_test() {
TZ=UTC perl-module_src_test
}

View File

@ -1,2 +0,0 @@
DIST Dist-Zilla-6.017.tar.gz 203472 BLAKE2B dd51b8752780036f77916df16d2b0f780ec69027b33e5fd277afb3d60bab83c1ba55cf0f3076314888351e6e9164597bd4e096cf01c5e388a8964cfe9178b2c2 SHA512 08408d5c6112a682994609d29a50d42eb85ca8457db94dd3d37f6849a7ceb40d84b4bf212279cab885cb0c465fbfe709c3a995ceb086dfa47ebbe68af0d17e78
DIST Dist-Zilla-6.024.tar.gz 355304 BLAKE2B 72277f54033125157367074f2291abac0b1c03353f6d576c6aaac4f4c8fa276e91c5245a47f15851dd149d2c55571098845a3bd98a96e77d1554cadfe6f5e733 SHA512 4428b6a835eea398d84dfe5cf0a5a2c3d85982891eb4d66bef6da68f527ad37ecfef7205bf44d3827ca561a6c597e40b4196c1d7f934e6cfd5da888df4996f57

View File

@ -1,36 +0,0 @@
From 21a92b08d30cd4758fefe1706eb96af30082cb7b Mon Sep 17 00:00:00 2001
From: Kent Fredric <kentnl@gentoo.org>
Date: Sat, 8 Aug 2020 05:25:21 +1200
Subject: Fix INC traversal breakage with non-string objects in INC
As `$root` is a Path object, and because there are defined mechanisms
for handling objects in `@INC` traversal, this object being added to
`@INC` can cause panics when the perl interpreter tries to call a method
that doesn't exist, violating the API.
And this in turn makes various authordeps appear missing when they're
present, due to suppression of the error occurring from the above.
Forcing stringification of the path object mitigates this issue.
Bug: https://github.com/rjbs/Dist-Zilla/issues/660
---
lib/Dist/Zilla/Util/AuthorDeps.pm | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/lib/Dist/Zilla/Util/AuthorDeps.pm b/lib/Dist/Zilla/Util/AuthorDeps.pm
index cbca1c7..603d67b 100644
--- a/lib/Dist/Zilla/Util/AuthorDeps.pm
+++ b/lib/Dist/Zilla/Util/AuthorDeps.pm
@@ -113,7 +113,7 @@ sub extract_author_deps {
: do {
my $m = $_;
! eval {
- local @INC = @INC; push @INC, $root;
+ local @INC = @INC; push @INC, "$root";
# This will die if module is missing
Module::Runtime::require_module($m);
my $v = $vermap->{$m};
--
2.28.0

View File

@ -1,48 +0,0 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DIST_AUTHOR=RJBS
DIST_VERSION=3.005
inherit perl-module
DESCRIPTION="Simple wrapper around Log::Dispatch"
SLOT="0"
KEYWORDS="~amd64 ~x86 ~arm64 ~arm"
IUSE="minimal"
# r: Log::Dispatch::File -> Log-Dispatch
# r: Log::Dispatch::Screen -> Log-Dispatch
# r: Log::Dispatch::Syslog -> Log-Dispatch
# r: Scalar::Util - Scalar-List-Utils
# r: overload, strict, warnings -> perl
RDEPEND="
virtual/perl-Carp
virtual/perl-File-Spec
dev-perl/Log-Dispatch
dev-perl/Log-Dispatch-Array
dev-perl/Params-Util
virtual/perl-Scalar-List-Utils
dev-perl/String-Flogger
dev-perl/Sub-Exporter
>=dev-perl/Sub-Exporter-GlobExporter-0.2.0
>=virtual/perl-Sys-Syslog-0.160.0
>=dev-perl/Try-Tiny-0.40.0
"
# t: File::Spec::Functions -> File-Spec
# t: base, lib -> perl
BDEPEND="
${RDEPEND}
virtual/perl-ExtUtils-MakeMaker
test? (
!minimal? (
>=virtual/perl-CPAN-Meta-2.120.900
)
virtual/perl-File-Temp
dev-perl/JSON-MaybeXS
dev-perl/Test-Deep
dev-perl/Test-Fatal
>=virtual/perl-Test-Simple-0.960.0
)
"

View File

@ -1,2 +0,0 @@
DIST Log-Dispatchouli-2.023.tar.gz 31858 BLAKE2B bab4a211710ff0cf36ec4b6f4dea706cdebc869919801d39388b90434efdd2741a0ae54bb67cdbf2e69dbcd1162eafdf2aedbe9907745aebe24e30c79d91ffb1 SHA512 e9d5a99029e2d9f9ce48b3cfa37875cd3d9394757fbad0ec652ef9e4260041bd06a2273bb26daba88e9f3fec22e0a56b6c9d80ae9d4aa31b596d4aad5bf8a5b2
DIST Log-Dispatchouli-3.005.tar.gz 39452 BLAKE2B 46c5dcca99e5d96817d7e3e6cb346d9323f1fc6e3d9a4112aebb514745549a89d3b3bf421b0b966854955cb00790ccb4893fd33172756067941ad3706fb6017f SHA512 5e0895c1c27a59732d04456ca3621b6464b9cab386eaf6a760e658fd807ff3ac2cbe86f3b9a03c55e2d5a10754d593d820188b7a71fd00fc8b339ecef4c58b48

View File

@ -1,25 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DIST_AUTHOR=NEZUMI
DIST_VERSION=1.014.3
inherit perl-module
DESCRIPTION="Deal with RFC 2047 encoded words (improved)"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86 ~arm ~arm64"
RDEPEND="
>=virtual/perl-MIME-Base64-2.130.0
>=virtual/perl-Encode-1.980.0
>=dev-perl/MIME-Charset-1.10.1
"
BDEPEND="${RDEPEND}
virtual/perl-ExtUtils-MakeMaker
test? ( virtual/perl-Test-Simple )
"
PERL_RM_FILES=("t/pod.t")

View File

@ -1 +0,0 @@
DIST MIME-EncWords-1.014.3.tar.gz 39372 BLAKE2B d5c12787f975c0d4633644ffe83fbcc94f5adf1e612ce04e56450915f83df9710fdbb9c62d2e7a5880ee073aca04602feaf134f9ffb36e124091ce686445d191 SHA512 77deed0b9b61101ba67f4d498213af9dc1078738fb0992661aa1b260ef394b84341173e5319579c4651f9b6271be0f80d4e96455c7caa9f81accb3db16601af8

View File

@ -1,2 +0,0 @@
DIST Mixin-Linewise-0.110.tar.gz 20035 BLAKE2B 74ecc3796968a93ea7230a393414a005958b3f11de48d001f3e79326d2521e4ceaa16962f83b752946dfb7ee0e86cb8d2ed4a2670e7b611d484e345d9475c3ac SHA512 b5c7e5ab8b5f971fb5cc0e378108513488ff20525f85b9bb12afa3d855088a6a4040ffd8d5dcac97677905dcc6b4e85ac86cd6d69f37c42fb4ca2fa4eb912abf
DIST Mixin-Linewise-0.111.tar.gz 20120 BLAKE2B daabf124057166d7cfb8bf44b49c0efe86baab51ebb5bc7bfab86b2bc287e26f581465e8f11508d21495564ef8252a9df812fc957dd2f4a52f86344f9d83fbc4 SHA512 282c9bbb825ee05f1d916fdfb1caad6c04a917a26c10ae18dc9883706e612915186c49a96209af254329f346bc731547a20ff2db136f0ceaf1edd5d21b120195

View File

@ -1,32 +0,0 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DIST_AUTHOR=RJBS
DIST_VERSION=0.111
inherit perl-module
DESCRIPTION="Write your linewise code for handles; this does the rest"
SLOT="0"
KEYWORDS="~amd64 ~x86 ~arm64 ~arm"
IUSE="minimal"
RDEPEND="
virtual/perl-Carp
virtual/perl-IO
dev-perl/PerlIO-utf8_strict
dev-perl/Sub-Exporter
"
BDEPEND="
${RDEPEND}
virtual/perl-ExtUtils-MakeMaker
test? (
!minimal? (
>=virtual/perl-CPAN-Meta-2.120.900
)
virtual/perl-Encode
virtual/perl-File-Spec
>=virtual/perl-Test-Simple-0.960.0
)
"

View File

@ -1 +0,0 @@
DIST MooseX-LazyRequire-0.11.tar.gz 26404 BLAKE2B 1a08df42b0d43f8642e6b4e409c447683ac2c6b365939f4a9b9d6dc7c0eeb675b5b0655ec899215aaa6dc073c5b5412d87d01fb3ed395fd3a2ce0623963a45c5 SHA512 aec29204be8f023a63fa9e313ac5fa5374c985517eca5a022b4b518495b4158a71b49f36819e954a8f03cf35dd0fb5a183904797e022beeb1a35de7a5532cc14

View File

@ -1,32 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DIST_AUTHOR=ETHER
DIST_VERSION=0.11
inherit perl-module
DESCRIPTION="Required attributes which fail only when trying to use them"
SLOT="0"
KEYWORDS="~amd64 ~x86 ~arm ~arm64"
IUSE="minimal"
RDEPEND="
virtual/perl-Carp
>=dev-perl/Moose-0.940.0
>=dev-perl/aliased-0.300.0
dev-perl/namespace-autoclean
"
BDEPEND="${RDEPEND}
>=dev-perl/Module-Build-Tiny-0.37.0
virtual/perl-ExtUtils-MakeMaker
test? (
!minimal? (
>=virtual/perl-CPAN-Meta-2.120.900
)
virtual/perl-File-Spec
dev-perl/Test-Fatal
>=virtual/perl-Test-Simple-0.880.0
)
"

View File

@ -1,2 +0,0 @@
DIST MooseX-SetOnce-0.201.tar.gz 16417 BLAKE2B a023f08ff2a5796869bc36dfcb8c5e0f27536ff663cb04ad2d8b99f99685a82cb8d40d336273eb9a0f54dc69dcbda12227697c59882fd5516343e47f3bd75a36 SHA512 e328437ae6fc4350b562563889b888e7572fd2bfd68a8d70feb3a4132892a9accc2116413eccb55fe39094ae047bd800ef232cf1fab1e8938b44fc372020a622
DIST MooseX-SetOnce-0.203.tar.gz 17000 BLAKE2B 200d0a2253f9d647bc62eb500e5e438d85ef4b7c01c19763f7aed58a95ff2e0484d3698dff35efc06bf23245b2499d4d0a31918aabf70ff5a951f733f65c1a16 SHA512 87a7080f379c496c90c21ef25f00ae6db39169d4e9e72a97ead8d5cdb3f188d2e21d84e9af87ddf5cb899bafc4f4998447be2b638a0ca69bfa55381e062af683

View File

@ -1,27 +0,0 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DIST_AUTHOR=RJBS
DIST_VERSION=0.203
inherit perl-module
DESCRIPTION="Write-once, read-many attributes for Moose"
SLOT="0"
KEYWORDS="~amd64 ~x86 ~arm64 ~arm"
RDEPEND="
>=dev-perl/Moose-0.900.0
"
BDEPEND="
${RDEPEND}
>=virtual/perl-ExtUtils-MakeMaker-6.300.0
test? (
virtual/perl-File-Spec
virtual/perl-IO
dev-perl/Test-Fatal
>=virtual/perl-Test-Simple-0.960.0
)
"

View File

@ -1 +0,0 @@
DIST MooseX-Types-Perl-0.101343.tar.gz 14353 BLAKE2B 730687bbe73cc2cd7aa3d4699cd79cb8db3242837e44f947a84e315ba5aa934f1cd3253f99df0436d5d22cc26223ba38cb99382568313bbc2ce8689219dc9573 SHA512 a3ad0f1b3dcde93f23254f084faadde7d3b03076f045802d7757c5580b2d0fb6cb748143a99fcd650492fc7da8938e28d8e0b7714070386638d972ab7d799e9a

View File

@ -1,25 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DIST_AUTHOR=RJBS
DIST_VERSION=0.101343
inherit perl-module
DESCRIPTION="Moose types that check against Perl syntax"
SLOT="0"
KEYWORDS="~amd64 ~x86 ~arm64 ~arm"
RDEPEND="
dev-perl/MooseX-Types
dev-perl/Params-Util
>=virtual/perl-version-0.820.0
"
BDEPEND="${RDEPEND}
>=virtual/perl-ExtUtils-MakeMaker-6.300.0
test? (
>=virtual/perl-Test-Simple-0.960.0
)
"

View File

@ -1,2 +0,0 @@
DIST Perl-PrereqScanner-1.024.tar.gz 28758 BLAKE2B a066e77dd50c96cef6e575ff143798d9ba2dd2807ade12d026522bb990664ea883d24b3bc11c72c8ce3b8086844dfa0562e668025880a223141586a5163be28b SHA512 851cf4a34f3bedc0174a9a34d80cf7de2ead5478a1979356ad43f7cb9bb867c0b8a36ba4bc4341b5e4ecf435e18d04726f1a897232d590e61796b7e34ff14c52
DIST Perl-PrereqScanner-1.100.tar.gz 28984 BLAKE2B b6c8a056e7d43ec2797040955f13012f939d0bad5a137bbe08373e4679f0e27240e325f3d58feda8278943c6547826896d12cf15d76dfc8dc627ca12bd77c8a5 SHA512 425ba26c4135647821d121a7e14039c7fdbb6a18912be2c82664f972c41b7f8f6c62c93eeaa40f9340a693dba713c60b2f6abffad5542be7c2ae6072dba97200

View File

@ -1,42 +0,0 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DIST_AUTHOR=RJBS
DIST_VERSION=1.100
inherit perl-module
DESCRIPTION="Tool to scan your Perl code for its prerequisites"
SLOT="0"
KEYWORDS="~amd64 ~x86 ~arm64 ~arm"
IUSE="minimal"
RDEPEND="
>=virtual/perl-CPAN-Meta-Requirements-2.124.0
virtual/perl-File-Spec
virtual/perl-Getopt-Long
dev-perl/Getopt-Long-Descriptive
>=virtual/perl-Scalar-List-Utils-1.330.0
dev-perl/Module-Path
dev-perl/Moo
>=dev-perl/PPI-1.215.0
dev-perl/Params-Util
>=dev-perl/String-RewritePrefix-0.5.0
dev-perl/Type-Tiny
dev-perl/namespace-autoclean
"
BDEPEND="
${RDEPEND}
virtual/perl-ExtUtils-MakeMaker
test? (
!minimal? (
>=virtual/perl-CPAN-Meta-2.120.900
)
virtual/perl-File-Temp
>=virtual/perl-Test-Simple-0.960.0
dev-perl/Try-Tiny
)
"

View File

@ -1,2 +0,0 @@
DIST amavis-v2.12.2.tar.bz2 874946 BLAKE2B 0b52cb23e11d0b7b346e53b979b580b76f51ce22516a8e2ef6c6d579f1693a9d175ebd92e9cba74e4bed68b012250808e2f827182dddf5addbbb40f2602294f7 SHA512 8a6ab4441a9ef2ee757c839f656bc16f00dd9213f6cc0bb976d7f2b76793adf023d33a42099f07b0dae13281171db9ba0405028882a86e2230126e8d6a29a4ff
DIST amavis-v2.13.0.tar.bz2 890721 BLAKE2B ceb2d020a9066b530a7a05de30c1a3483010f018e9344a354a6a372581bc6442ac74990b733cf4fd4d2e63d3adfe7140ebaca7d050becb69cc26cd010d032afd SHA512 b4d623b212bd2bbdcd192cee603941af3854bcd6c09ed1d6194138c0d7e10160ab1fece821bdd134ae86a1f8e5ccd4b3f92643f2f2b4c73c3f0c1e30e4b97441

View File

@ -1,186 +0,0 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit systemd
DESCRIPTION="High-performance interface between the MTA and content checkers"
HOMEPAGE="https://gitlab.com/amavis/amavis"
SRC_URI="https://gitlab.com/amavis/amavis/-/archive/v${PV}/amavis-v${PV}.tar.bz2"
LICENSE="GPL-2 BSD-2"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~ppc64 ~sparc ~x86 ~arm ~arm64"
IUSE="clamav courier dkim ldap mysql postgres qmail razor rspamd rspamd-https selinux snmp spamassassin"
MY_RSPAMD_DEPEND="dev-perl/HTTP-Message
dev-perl/JSON
dev-perl/LWP-UserAgent-Determined"
DEPEND="acct-user/amavis"
RDEPEND="${DEPEND}
app-arch/arc
app-arch/bzip2
app-arch/cabextract
app-arch/cpio
app-arch/gzip
app-arch/lha
app-arch/lrzip
app-arch/lzop
app-arch/p7zip
app-arch/pax
app-arch/arj
app-arch/unrar
app-arch/xz-utils
app-arch/zoo
dev-lang/perl:*
dev-perl/Archive-Zip
dev-perl/BerkeleyDB
dev-perl/Convert-BinHex
dev-perl/File-LibMagic
dev-perl/IO-Socket-SSL
dev-perl/IO-stringy
>=dev-perl/Mail-DKIM-0.31
>=dev-perl/MailTools-1.58
>=dev-perl/MIME-tools-5.415
dev-perl/Net-LibIDN
>=dev-perl/Net-Server-0.91
dev-perl/Net-SSLeay
dev-perl/Unix-Syslog
net-mail/ripole
net-mail/tnef
>=sys-apps/coreutils-5.0-r3
>=sys-libs/db-4.4.20
virtual/mta
virtual/perl-Compress-Raw-Zlib
virtual/perl-Digest-MD5
virtual/perl-File-Temp
virtual/perl-IO-Compress
virtual/perl-IO-Socket-IP
virtual/perl-MIME-Base64
virtual/perl-Time-HiRes
clamav? ( app-antivirus/clamav )
ldap? ( >=dev-perl/perl-ldap-0.33 )
mysql? ( dev-perl/DBD-mysql )
postgres? ( dev-perl/DBD-Pg )
razor? ( mail-filter/razor )
rspamd? ( ${MY_RSPAMD_DEPEND} )
rspamd-https? ( ${MY_RSPAMD_DEPEND}
dev-perl/LWP-Protocol-https
dev-perl/Net-SSLeay )
selinux? ( sec-policy/selinux-amavis )
snmp? ( net-analyzer/net-snmp[perl] )
spamassassin? ( mail-filter/spamassassin dev-perl/Image-Info )"
AMAVIS_ROOT="/var/lib/amavishome"
S="${WORKDIR}/amavis-v${PV}"
src_prepare() {
if use courier ; then
eapply -p0 amavisd-new-courier.patch
fi
if use qmail ; then
eapply -p0 amavisd-new-qmqpqq.patch
fi
# We need to fix the daemon_user and daemon_group in amavis-mc even
# though we're going to run it in the foreground, because it calls
# "drop_priv" unconditionally and will crash if its user/group
# doesn't exist.
sed -i \
-e '/daemon/s/vscan/amavis/' \
-e "s:'/var/virusmails':\"\$MYHOME/quarantine\":" \
"${S}/amavisd.conf" "${S}/amavis-mc" || die "missing conf file"
if ! use dkim ; then
sed -i -e '/enable_dkim/s/1/0/' "${S}/amavisd.conf" \
|| die "missing conf file - dkim"
fi
if ! use spamassassin ; then
sed -i -e \
"/^#[[:space:]]*@bypass_spam_checks_maps[[:space:]]*=[[:space:]]*(1)/s/^#//" \
"${S}/amavisd.conf" || die "missing conf file - sa"
fi
eapply_user
}
src_install() {
dosbin amavisd{,-agent,-nanny,-release,-signer,-status}
dobin p0f-analyzer.pl amavisd-submit
if use snmp ; then
dosbin amavisd-snmp-subagent
newinitd "${FILESDIR}/amavisd-snmp-subagent.initd" \
amavisd-snmp-subagent
dodoc AMAVIS-MIB.txt
fi
if use ldap ; then
insinto /etc/openldap/schema
newins LDAP.schema "${PN}.schema"
fi
# The config file should be root:amavis so that the amavis user can
# read (only) it after dropping privileges. And of course he should
# own everything in his home directory.
insinto /etc
insopts -m0640 -g amavis
doins amavisd.conf
# Implementation detail? Keepdir calls dodir under the hood.
diropts -o amavis -g amavis
keepdir "${AMAVIS_ROOT}"/{,db,quarantine,tmp,var}
# BEWARE:
#
# Anything below this line is using the mangled insopts/diropts from
# above!
#
newinitd "${FILESDIR}/amavisd.initd-r2" amavisd
systemd_newunit "${FILESDIR}/amavisd.service-r1" amavisd.service
dodoc AAAREADME.first INSTALL MANIFEST RELEASE_NOTES TODO \
amavisd.conf-default amavisd-custom.conf
docinto README_FILES
dodoc README_FILES/README*
dodoc -r README_FILES/*.{html,css}
docinto README_FILES/images
dodoc README_FILES/images/*.png
docinto README_FILES/images/callouts
dodoc README_FILES/images/callouts/*.png
docinto test-messages
dodoc test-messages/README
dodoc test-messages/sample.tar.gz.compl
}
pkg_preinst() {
# TODO: the following is done as root, but should probably be done
# as the amavis user.
if use razor ; then
if [ ! -d "${ROOT}${AMAVIS_ROOT}/.razor" ] ; then
elog "Setting up initial razor config files..."
razor-admin -create -home="${D}/${AMAVIS_ROOT}/.razor"
sed -i -e "s:debuglevel\([ ]*\)= .:debuglevel\1= 0:g" \
"${D}/${AMAVIS_ROOT}/.razor/razor-agent.conf" || die
fi
fi
}
pkg_postinst() {
local d="/var/amavis"
if [ -d ${d} ]; then
elog "Existing data found. Please make sure to manually copy it to amavis' new"
elog "home directory by executing the following command as root from a shell:"
elog
elog " cp -a ${d}/* ${d}/.??* ${AMAVIS_ROOT}/ && rm -r ${d}"
elog
fi
}

View File

@ -1,267 +0,0 @@
# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit systemd perl-module
DESCRIPTION="High-performance interface between the MTA and content checkers"
HOMEPAGE="https://gitlab.com/amavis/amavis"
SRC_URI="https://gitlab.com/amavis/amavis/-/archive/v${PV}/amavis-v${PV}.tar.bz2"
LICENSE="GPL-2 BSD-2"
SLOT="0"
KEYWORDS="~amd64 ~x86 ~arm64 ~arm"
IUSE="clamav dkim ldap mysql postgres razor rspamd rspamd-https selinux snmp spamassassin test"
RESTRICT="!test? ( test )"
REQUIRED_USE="test? ( spamassassin )"
MY_RSPAMD_DEPEND="dev-perl/HTTP-Message
dev-perl/JSON
dev-perl/LWP-UserAgent-Determined"
DEPEND="acct-user/amavis"
RDEPEND="${DEPEND}
app-arch/arc
app-arch/bzip2
app-arch/cabextract
app-alternatives/cpio
app-arch/gzip
app-arch/lha
app-arch/lrzip
app-arch/lzop
app-arch/p7zip
app-arch/pax
app-arch/arj
app-arch/unrar
app-arch/xz-utils
app-arch/zoo
dev-lang/perl:*
dev-perl/Archive-Zip
dev-perl/BerkeleyDB
dev-perl/Convert-BinHex
dev-perl/File-LibMagic
dev-perl/IO-Socket-SSL
dev-perl/IO-stringy
>=dev-perl/Mail-DKIM-0.31
>=dev-perl/MailTools-1.58
>=dev-perl/MIME-tools-5.415
dev-perl/Net-LibIDN2
>=dev-perl/Net-Server-0.91
dev-perl/Net-SSLeay
dev-perl/Unix-Syslog
net-mail/ripole
net-mail/tnef
>=sys-apps/coreutils-5.0-r3
>=sys-libs/db-4.4.20
virtual/mta
virtual/perl-Compress-Raw-Zlib
virtual/perl-Digest-MD5
virtual/perl-File-Temp
virtual/perl-IO-Compress
virtual/perl-IO-Socket-IP
virtual/perl-MIME-Base64
virtual/perl-Time-HiRes
clamav? ( app-antivirus/clamav )
ldap? ( >=dev-perl/perl-ldap-0.33 )
mysql? ( dev-perl/DBD-mysql )
postgres? ( dev-perl/DBD-Pg )
razor? ( mail-filter/razor )
rspamd? ( ${MY_RSPAMD_DEPEND} )
rspamd-https? ( ${MY_RSPAMD_DEPEND}
dev-perl/LWP-Protocol-https
dev-perl/Net-SSLeay )
selinux? ( sec-policy/selinux-amavis )
snmp? ( net-analyzer/net-snmp[perl] )
spamassassin? ( mail-filter/spamassassin dev-perl/Image-Info )"
BDEPEND="${RDEPEND}
dev-perl/Dist-Zilla
virtual/perl-ExtUtils-MakeMaker
test? (
virtual/perl-Test-Harness
dev-perl/Test-Class
dev-perl/DBI
dev-perl/perl-ldap
dev-perl/NetAddr-IP
dev-perl/Test-Most
)"
AMAVIS_ROOT="/var/lib/amavishome"
S="${WORKDIR}/amavis-v${PV}"
dzil_to_distdir() {
local dzil_root dest has_missing modname dzil_version
dzil_root="$1"
dest="$2"
cd "${dzil_root}" || die "Can't enter workdir '${dzil_root}'";
dzil_version="$(dzil version)" || die "Error invoking 'dzil version'"
einfo "Generating CPAN dist with ${dzil_version}"
has_missing=""
einfo "Checking dzil authordeps"
while IFS= read -d $'\n' -r modname; do
if [[ -z "${has_missing}" ]]; then
has_missing=1
eerror "'dzil authordeps' indicates missing build dependencies"
eerror "These will prevent building, please report a bug"
eerror "Missing:"
fi
S= eerror " ${modname}"
done < <( dzil authordeps --missing --versions )
[[ -z "${has_missing}" ]] || die "Satisfy all missing authordeps first"
einfo "Checking dzil build deps"
while IFS= read -d $'\n' -r modname; do
if [[ -z "${has_missing}" ]]; then
has_missing=1
ewarn "'dzil listdeps' indicates missing build dependencies"
ewarn "These may prevent building, please report a bug if they do"
ewarn "Missing:"
fi
ewarn " ${modname}"
done < <( dzil listdeps --missing --versions --author )
einfo "Generating release"
dzil build --notgz --in "${dest}" || die "Unable to build CPAN dist in '${dest}'"
}
src_prepare() {
# perl-module doesn't account for this being a directory
mv README_FILES READ_FILES || die
# We need to fix the daemon_user and daemon_group in amavis-mc even
# though we're going to run it in the foreground, because it calls
# "drop_priv" unconditionally and will crash if its user/group
# doesn't exist.
sed -i \
-e '/daemon/s/vscan/amavis/' \
-e "s:'/var/virusmails':\"\$MYHOME/quarantine\":" \
"${S}/conf/amavisd.conf" "${S}/bin/amavis-mc" || die "missing conf file"
if ! use dkim ; then
sed -i -e '/enable_dkim/s/1/0/' "${S}/conf/amavisd.conf" \
|| die "missing conf file - dkim"
fi
if ! use spamassassin ; then
sed -i -e \
"/^#[[:space:]]*@bypass_spam_checks_maps[[:space:]]*=[[:space:]]*(1)/s/^#//" \
"${S}/conf/amavisd.conf" || die "missing conf file - sa"
fi
# needs ZMQ::LibZMQ3 which only suports net-libs/zeromq-3*,
# long since removed from tree
perl_rm_files t/Amavis/ZMQTest.t
sed -e '/^ZMQ::LibZMQ3 =/d' \
-i dist.ini || die "Can't patch dist.ini"
rm bin/{amavis-services,amavis-mc,amavisd-snmp-subagent-zmq}
if ! use snmp ; then
rm bin/amavisd-snmp-subagent
fi
eapply_user
# prevent distdir-in-distdir
mv "${S}" "${T}" || die
dzil_to_distdir "${T}/amavis-v${PV}" "${S}"
perl-module_src_prepare
}
src_test() {
prove -lr t || die
}
src_install() {
perl-module_src_install
mkdir "${ED}"/usr/sbin
mv "${ED}"/usr/bin/amavisd "${ED}"/usr/sbin/amavisd || die
mv "${ED}"/usr/bin/amavisd-agent "${ED}"/usr/sbin/amavisd-agent || die
mv "${ED}"/usr/bin/amavisd-nanny "${ED}"/usr/sbin/amavisd-nanny || die
mv "${ED}"/usr/bin/amavisd-release "${ED}"/usr/sbin/amavisd-release || die
mv "${ED}"/usr/bin/amavisd-signer "${ED}"/usr/sbin/amavisd-signer || die
mv "${ED}"/usr/bin/amavisd-status "${ED}"/usr/sbin/amavisd-status || die
dobin contrib/p0f-analyzer.pl
if use snmp ; then
mv "${ED}"/usr/bin/amavisd-snmp-subagent "${ED}"/usr/sbin/amavisd-snmp-subagent || die
newinitd "${FILESDIR}/amavisd-snmp-subagent.initd" \
amavisd-snmp-subagent
dodoc AMAVIS-MIB.txt
fi
perl_fix_packlist
if use ldap ; then
insinto /etc/openldap/schema
newins contrib/LDAP.schema "${PN}.schema"
fi
# The config file should be root:amavis so that the amavis user can
# read (only) it after dropping privileges. And of course he should
# own everything in his home directory.
insinto /etc
insopts -m0640 -g amavis
doins conf/amavisd.conf
# Implementation detail? Keepdir calls dodir under the hood.
diropts -o amavis -g amavis
keepdir "${AMAVIS_ROOT}"/{,db,quarantine,tmp,var}
# BEWARE:
#
# Anything below this line is using the mangled insopts/diropts from
# above!
#
newinitd "${FILESDIR}/amavisd.initd-r2" amavisd
systemd_newunit "${FILESDIR}/amavisd.service-r1" amavisd.service
dodoc AAAREADME.first RELEASE_NOTES TODO \
conf/amavisd.conf-default conf/amavisd-custom.conf \
conf/amavisd-docker.conf
docinto README_FILES
dodoc READ_FILES/README*
dodoc -r READ_FILES/*.{html,css}
docinto README_FILES/images
dodoc READ_FILES/images/*.png
docinto README_FILES/images/callouts
dodoc READ_FILES/images/callouts/*.png
docinto test-messages
dodoc t/messages/README
dodoc t/messages/sample.tar.gz.compl
}
pkg_preinst() {
# TODO: the following is done as root, but should probably be done
# as the amavis user.
if use razor ; then
if [ ! -d "${ROOT}${AMAVIS_ROOT}/.razor" ] ; then
elog "Setting up initial razor config files..."
razor-admin -create -home="${D}/${AMAVIS_ROOT}/.razor"
sed -i -e "s:debuglevel\([ ]*\)= .:debuglevel\1= 0:g" \
"${D}/${AMAVIS_ROOT}/.razor/razor-agent.conf" || die
fi
fi
}
pkg_postinst() {
local d="/var/amavis"
if [ -d ${d} ]; then
elog "Existing data found. Please make sure to manually copy it to amavis' new"
elog "home directory by executing the following command as root from a shell:"
elog
elog " cp -a ${d}/* ${d}/.??* ${AMAVIS_ROOT}/ && rm -r ${d}"
elog
fi
}

View File

@ -1,25 +0,0 @@
#!/sbin/openrc-run
# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
command="/usr/sbin/amavisd-snmp-subagent"
pidfile="/run/${RC_SVCNAME}.pid"
# The RELEASE_NOTES say "it is safe to run it as root, although
# perhaps not necessary." I'm not in a position to test, but I bet
# it's safe to run this as amavis:amavis. Since the program itself
# doesn't have the ability to drop privileges, we'd have to let OpenRC
# do that; and in that case, the easiest way to deal with the PID file
# is to let OpenRC handle that, too.
#
# Thus as a means of future-proofing, we run $command in the
# foreground, and let OpenRC background it and write a PID file. So
# if somebody wants to try command_user="amavis:amavis" here, it might
# just work.
command_args="-f"
command_background="true"
depend() {
use logger
before amavisd-new snmpd
}

View File

@ -1,42 +0,0 @@
#!/sbin/openrc-run
# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
extra_started_commands="reload"
command="/usr/sbin/${RC_SVCNAME}"
pidfile="/run/${RC_SVCNAME}.pid"
# Why run in the foreground? Typically amavisd will drop privileges
# and then write its own PID file in its home directory. This is fine
# so long as you use e.g. "amavisd stop" to stop the daemon. But, we
# want to use start-stop-daemon to do it. And start-stop-daemon will
# send a signal *as root* to the PID contained in the PID file. So, we
# don't want to rely on a PID file that's controlled by a non-root
# user.
#
# As a workaround, we run amavisd in the foreground, and let
# start-stop-daemon push it into the background with its own PID
# file. We don't pass "-P" via command_args below because we don't
# want amavisd to try (and fail) to create that PID file. This does
# mean that you can't run "amavisd stop" or "amavisd reload" directly;
# sorry!
command_args="foreground"
command_background="true"
# The amavisd daemon provides its own "stop" and "reload" functions,
# but if you read into the source, they just do what start-stop-daemon
# is going to do anyway. The "stop" command for amavisd will send a
# SIGTERM immediately, and then a SIGKILL after 60 seconds. So, we do
# that too. The "reload" command sends a SIGHUP; see reload() below.
retry="SIGTERM/15 SIGKILL/60"
depend() {
use net logger antivirus snmpd
before mta
}
reload() {
ebegin "Reloading ${RC_SVCNAME}"
start-stop-daemon --signal HUP --pidfile "${pidfile}"
eend $?
}

View File

@ -1,21 +0,0 @@
[Unit]
Description=Amavisd Daemon
Before=postfix.service
After=clamd.service
After=network.target
[Service]
User=amavis
Group=amavis
ExecStart=/usr/sbin/amavisd -c /etc/amavisd.conf foreground
ExecReload=/usr/sbin/amavisd -c /etc/amavisd.conf reload
PrivateTmp=true
CapabilityBoundingSet=
ProtectSystem=full
NoNewPrivileges=true
PrivateDevices=true
ProtectHome=true
MemoryDenyWriteExecute=true
[Install]
WantedBy=multi-user.target